php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #57274 APC breaks turba (part of horde) when enabled
Submitted: 2006-10-03 15:52 UTC Modified: 2009-02-16 20:24 UTC
From: rjwill at seas dot upenn dot edu Assigned:
Status: No Feedback Package: APC (PECL)
PHP Version: 5.1.2 OS: SuSE Linux v10.1
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: rjwill at seas dot upenn dot edu
New email:
PHP Version: OS:

 

 [2006-10-03 15:52 UTC] rjwill at seas dot upenn dot edu
Description:
------------
I'm running horde+imp+turba with apc, using mostly default php.ini options for APC:

;APC config
extension=apc.so
apc.enabled=1
apc.shm_segments=1
apc.optimization=0
apc.shm_size=128
apc.ttl=7200
apc.user_ttl=7200
apc.num_files_hint=1024
apc.mmap_file_mask=/tmp/apc.XXXXXX
apc.enable_cli=0

With apc enabled, I have problems only with turba as described here:

http://article.gmane.org/gmane.comp.horde.turba/3463

in short most turba pages either do not work at all or do not function properly when APC is enabled.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2006-10-05 17:59 UTC] gopalv82 at yahoo dot com
Are you sure you are running the latest APC ?

And if you are indeed running the latest code, please give some way for me to reproduce the problem. A reduced test case if you can, or at least a fragment of original code which I can run without any db backing.
 [2006-10-06 10:41 UTC] rjwill at seas dot upenn dot edu
yes running latest APC 3.0.12p2. I've also found another user with the same issue, also using APC with turba. His report to the turba list is here:

http://article.gmane.org/gmane.comp.horde.turba/3484/match=problems+turba+contact+edits

The only way to reproduce the problem would be to install horde+turba. I don't know of another way to show you.
 [2006-10-06 10:59 UTC] gopalv82 at yahoo dot com
> The only way to reproduce the problem would be to install horde+turba. 

How do I do that ? 

These dependencies basically get in my way of actually fixing the bug and take far more effort than actually debugging the issue.
 [2006-10-06 11:02 UTC] gopalv82 at yahoo dot com
What I actually meant was turba/turba2 horde/horde2/horde3 ... what, which, how ?
 [2006-10-06 11:05 UTC] rjwill at seas dot upenn dot edu
horde 3.x with turba H3 (2.1.2). Sorry I can't offer a better explanation of what the problem might be, I'm not very familiar with php.
 [2007-02-24 19:50 UTC] rasmus@php.net
Please try version 3.0.13 which was just released.
 [2009-02-16 20:24 UTC] shire@php.net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.


 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Tue Oct 20 01:01:23 2020 UTC